Skip to content

Billing groups

All operations require authentication.

9 operationsv1/me/billing
Agent setup

Retrieve all billing groupsBeta

GET
/1.0/me/billing/group

Query parameters

name
string

Filter by name

serviceId
integer

Filter by Service ID

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a new billing groupBeta

POST
/1.0/me/billing/group

Request body (required)

contactId
integer

Contact ID from /me/contact

creationDate
read-only
stringdate-time

Creation date

groupId
read-only
integer

Billing group ID

lastUpdate
read-only
stringdate-time

Last update date

name
string

Billing group unique name

paymentMethodId
integer

Payment method ID associated to the billing group

Response

200BillingGroupsuccessful operation
contactId
integer

Contact ID from /me/contact

creationDate
read-only
stringdate-time

Creation date

groupId
read-only
integer

Billing group ID

lastUpdate
read-only
stringdate-time

Last update date

name
string

Billing group unique name

paymentMethodId
integer

Payment method ID associated to the billing group

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contactId": 0, "creationDate": "2024-01-01T12:00:00Z", "groupId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "paymentMethodId": 0}

Retrieve information about a billing groupBeta

GET
/1.0/me/billing/group/{groupId}

Path parameters

groupId
required
integer

Group ID

Response

200BillingGroupsuccessful operation
contactId
integer

Contact ID from /me/contact

creationDate
read-only
stringdate-time

Creation date

groupId
read-only
integer

Billing group ID

lastUpdate
read-only
stringdate-time

Last update date

name
string

Billing group unique name

paymentMethodId
integer

Payment method ID associated to the billing group

Example uses groupId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group/{groupId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contactId": 0, "creationDate": "2024-01-01T12:00:00Z", "groupId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "paymentMethodId": 0}

Edit billing groupBeta

PUT
/1.0/me/billing/group/{groupId}

Path parameters

groupId
required
integer

Group ID

Request body (required)

contactId
integer

Contact ID from /me/contact

creationDate
read-only
stringdate-time

Creation date

groupId
read-only
integer

Billing group ID

lastUpdate
read-only
stringdate-time

Last update date

name
string

Billing group unique name

paymentMethodId
integer

Payment method ID associated to the billing group

Response

200—successful operation

Example uses groupId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group/{groupId} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a billing groupBeta

DELETE
/1.0/me/billing/group/{groupId}

Path parameters

groupId
required
integer

Group ID

Response

200—successful operation

Example uses groupId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group/{groupId} \
  -H "authorization: Bearer $OVH_TOKEN"

Retrieve billing group service ID listBeta

GET
/1.0/me/billing/group/{groupId}/service

Path parameters

groupId
required
integer

Group ID

Response

200integer[]successful operation

Example uses groupId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group/{groupId}/service \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Associate a service to a billing groupBeta

POST
/1.0/me/billing/group/{groupId}/service

Path parameters

groupId
required
integer

Group ID

Request body (required)

serviceId
required
integer

A service ID to associate

Response

200Servicesuccessful operation
groupId
read-only
integer

Billing group ID

serviceId
read-only
integer

Service ID

Example uses groupId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group/{groupId}/service \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "groupId": 0, "serviceId": 0}

Retrieve information about a billing group serviceBeta

GET
/1.0/me/billing/group/{groupId}/service/{serviceId}

Path parameters

groupId
required
integer

Group ID

serviceId
required
integer

Service ID

Response

200Servicesuccessful operation
groupId
read-only
integer

Billing group ID

serviceId
read-only
integer

Service ID

Example uses groupId = 0, serviceId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group/{groupId}/service/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "groupId": 0, "serviceId": 0}

Unlink a service from a billing groupBeta

DELETE
/1.0/me/billing/group/{groupId}/service/{serviceId}

Path parameters

groupId
required
integer

Group ID

serviceId
required
integer

Service ID

Response

200—successful operation

Example uses groupId = 0, serviceId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/group/{groupId}/service/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"